com.google.gwt.typedarrays.client

## Class NativeImplFull

- java.lang.Object
- - com.google.gwt.typedarrays.shared.TypedArrays.Impl
  - - com.google.gwt.typedarrays.client.NativeImpl
    - - com.google.gwt.typedarrays.client.NativeImplFull

-     public class NativeImplFull
      extends NativeImpl

  An implementation class used for browsers which provide full native implementations of all typed array classes.

  IE11, Firefox are such browsers.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeImplFull()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkDataViewSupport()`
    `protected boolean` | `checkUint8ClampedArraySupport()`

    - ### Methods inherited from class com.google.gwt.typedarrays.client.NativeImpl

      `createArrayBuffer, createDataView, createDataView, createDataView, createFloat32Array, createFloat32Array, createFloat32Array, createFloat32Array, createFloat32Array, createFloat64Array, createFloat64Array, createFloat64Array, createFloat64Array, createFloat64Array, createInt16Array, createInt16Array, createInt16Array, createInt16Array, createInt16Array, createInt32Array, createInt32Array, createInt32Array, createInt32Array, createInt32Array, createInt8Array, createInt8Array, createInt8Array, createInt8Array, createInt8Array, createUint16Array, createUint16Array, createUint16Array, createUint16Array, createUint16Array, createUint32Array, createUint32Array, createUint32Array, createUint32Array, createUint32Array, createUint32Array, createUint8Array, createUint8Array, createUint8Array, createUint8Array, createUint8Array, createUint8ClampedArray, createUint8ClampedArray, createUint8ClampedArray, createUint8ClampedArray, createUint8ClampedArray, runtimeSupportCheck`

    - ### Methods inherited from class com.google.gwt.typedarrays.shared.TypedArrays.Impl

      `getElementCount, mightBeSupported`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeImplFull

          public NativeImplFull()

  - ### Method Detail

    - #### checkDataViewSupport

          protected boolean checkDataViewSupport()

      Overrides:
        `checkDataViewSupport` in class `NativeImpl`

    - #### checkUint8ClampedArraySupport

          protected boolean checkUint8ClampedArraySupport()

      Overrides:
        `checkUint8ClampedArraySupport` in class `NativeImpl`